%simple sorting of the different fragmentation schemes
function y = SortCombMatrix(m)
    
    buckets = cell(1,size(m,1));
    
    for i = 1 : size(m,2)
        if m(1,i) == 0 & m(size(m,1),i) == 0 %ignore combinations where zooming would be done to zero or n peak
            tsum =sum(m(:,i)) + 1;           %not very efficient, but saves a work when printing out the results ;)
            tt = buckets{tsum};
            tt(length(tt) + 1) = i;
            buckets{tsum} = tt;
        end
    end
    
    y = buckets;