%function that normalizes the mass isotopomer distributions
function y = ConvertToRelativeIntensities(fragments, origIntensities)

    for i = 1 : length(fragments)
            tempSum = sum(fragments{i}.intensities);
            fragments{i}.intensities = fragments{i}.intensities / tempSum; % normalization
            if fragments{i}.peak > -1 % fragment is produced by zooming into some mass isotopomer
                fragments{i}.intensities = fragments{i}.intensities *   origIntensities(fragments{i}.peak + 1);
                                                                            %doesn't work if whole molecule is missing!!
            end
    end
    
    y = fragments;
    