%Function that finds the position of labelled atom type from molecule

function y = FindCarbonPos(carbon, molecule)
    
    endPos = length(molecule);
    i = 1;
    notFound = 1;
    
    while i <= endPos & notFound
        if carbon == molecule{i}
            notFound = 0;
        end
        i = i + 1;
    end
    
    if notFound
        y = -1;
    else
        y = i - 1;
    end 
                