%create new fragments to test the rank of test setting
function y = RemarkPeaks(fragments, currComb, combMatrix)

    %first create necessary amount of new fragments
    
    zoomsRequired = find(combMatrix(:,currComb)); %number of zooming experiments
    t = fragments(2:length(fragments));
    numOfFrags = length(t); 
    for i = 2 : length(zoomsRequired)
        fragments(length(fragments) + 1 : length(fragments) + numOfFrags) = t;
    end
    
    %then mark the correct peak values
    j = 1;
    k = 1;
    for i = 2 : length(fragments)
        fragments{i}.peak = zoomsRequired(j) - 1;
        k = k + 1;
        if k == numOfFrags + 1
            j = j + 1;
            k = 1;
        end
    end
    
    y = fragments;
        
    
     